---
title: Local Storage / Session Storage
slug: Tools/Storage_Inspector/Local_Storage_Session_Storage
tags:
  - Dev Tools
  - Firefox
  - Guide
  - Local Storage
  - Session Storage
  - Storage
  - Storage Inspector
  - Tools
  - 'l10n:priority'
---
<div>{{ToolsSidebar}}</div>

<p>When an origin corresponding to local storage or session storage is selected within the <a href="/en-US/docs/Tools/Storage_Inspector">Storage Inspector</a>, the names and values of all the items corresponding to local storage or session storage will be listed in a table.</p>

<p>You can edit local and session storage items by double-clicking inside cells in the <a href="/en-US/docs/Tools/Storage_Inspector#Table_Widget">Table Widget</a> and editing the values they contain:</p>

<p>{{EmbedYouTube("UKLgBBUi11c")}}</p>

<p>You can delete local storage and session storage entries using the context menu:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16768/delete_storage_menu.png" style="border: 1px solid black; display: block; height: 270px; margin-left: auto; margin-right: auto; width: 914px;"></p>

<p>You can also delete local and session storage entries by selecting an item and pressing the <kbd>Delete</kbd> or <kbd>Backspace</kbd> key.</p>

<p>Finally, you can add new storage items by clicking the "Plus" (+) button and then editing the resulting new row to the value you want.</p>
